﻿$ErrorActionPreference = 'Stop';

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/veeso/termscp/releases/download/v0.7.0/termscp-v0.7.0-x86_64-pc-windows-msvc.zip'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'EXE'
  url            = $url
  unzipLocation  = $toolsDir

  softwareName   = 'termscp*'

  # deps: choco install checksum
  # checksum -t sha256 -f termscp.zip
  checksum       = 'DE9706DBD13AA8C32190C20EF65E172C17C7ACC5CD1422B3C0884264ED5763E5'
  checksumType   = 'sha256'

  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyZipPackage  @packageArgs # https://chocolatey.org/docs/helpers-install-chocolatey-package
